<?php
$template = <<<END
<!--{def item/title}-->
<!-- recipe1_grid: recipe1グリッド -->
<section class="recipe1_grid">
<!--{def item/title}-->
<h2>{val item/title}<span>{val item/subtitle}</span></h2>
<!--{/def}-->
<div class="list-container">
<!--{each item/list}-->
<div class="list">
<figure><a href="{val item/list/link}"><img src="user_data/{val item/list/image}" alt=""></a></figure>
<div class="text">
<h4><a href="{val item/list/link}">{val item/list/title}</a></h4>
<!--{def item/list/name}-->
<p class="name"><a href="{val item/list/name_link}">{val item/list/name}</a></p>
<!--{/def}-->
<p class="markdown-body">{rval item/list/text}</p>
</div>
<!--{def item/list/badge}-->
<span class="newicon">{val item/list/badge}</span>
<!--{/def}-->
<!--{def item/list/time}-->
<span class="icon"><img src="images/{val item/list/time}" alt=""></span>
<!--{/def}-->
</div>
<!--{/each}-->
</div>
<!--/.list-grid1-->
</section>
<!--{/def}-->
END;

$recipe1_grid = array(
	"title" => "recipe1グリッド",
	"name" => "recipe1_grid",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=recipe1_grid",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"subtitle" => array(
			"title" => "サブタイトル",
			"type" => "text",
		),
		"dummy1" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title1" => array(
			"title" => "タイトル1",
			"type" => "text",
		),
		"image1" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text1" => array(
			"title" => "内容1",
			"type" => "textarea",
		),
		"link1" => array(
			"title" => "リンク先1",
			"type" => "text",
		),
		"name1" => array(
			"title" => "投稿者1",
			"type" => "text",
		),
		"name_link1" => array(
			"title" => "投稿者リンク1",
			"type" => "text",
		),
		"badge1" => array(
			"title" => "バッジ1",
			"type" => "text",
		),
		"time1" => array(
			"title" => "時間1",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy2" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title2" => array(
			"title" => "タイトル2",
			"type" => "text",
		),
		"image2" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text2" => array(
			"title" => "内容2",
			"type" => "textarea",
		),
		"link2" => array(
			"title" => "リンク先2",
			"type" => "text",
		),
		"name2" => array(
			"title" => "投稿者2",
			"type" => "text",
		),
		"name_link2" => array(
			"title" => "投稿者リンク2",
			"type" => "text",
		),
		"badge2" => array(
			"title" => "バッジ2",
			"type" => "text",
		),
		"time2" => array(
			"title" => "時間2",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy3" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title3" => array(
			"title" => "タイトル3",
			"type" => "text",
		),
		"image3" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text3" => array(
			"title" => "内容3",
			"type" => "textarea",
		),
		"link3" => array(
			"title" => "リンク先3",
			"type" => "text",
		),
		"name3" => array(
			"title" => "投稿者3",
			"type" => "text",
		),
		"name_link3" => array(
			"title" => "投稿者リンク3",
			"type" => "text",
		),
		"badge3" => array(
			"title" => "バッジ3",
			"type" => "text",
		),
		"time3" => array(
			"title" => "時間1",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy4" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title4" => array(
			"title" => "タイトル4",
			"type" => "text",
		),
		"image4" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text4" => array(
			"title" => "内容4",
			"type" => "textarea",
		),
		"link4" => array(
			"title" => "リンク先4",
			"type" => "text",
		),
		"name4" => array(
			"title" => "投稿者4",
			"type" => "text",
		),
		"name_link4" => array(
			"title" => "投稿者リンク4",
			"type" => "text",
		),
		"badge4" => array(
			"title" => "バッジ4",
			"type" => "text",
		),
		"time4" => array(
			"title" => "時間1",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy5" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title5" => array(
			"title" => "タイトル5",
			"type" => "text",
		),
		"image5" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text5" => array(
			"title" => "内容5",
			"type" => "textarea",
		),
		"link5" => array(
			"title" => "リンク先5",
			"type" => "text",
		),
		"name5" => array(
			"title" => "投稿者5",
			"type" => "text",
		),
		"name_link5" => array(
			"title" => "投稿者リンク5",
			"type" => "text",
		),
		"badge5" => array(
			"title" => "バッジ5",
			"type" => "text",
		),
		"time5" => array(
			"title" => "時間5",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy6" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title6" => array(
			"title" => "タイトル6",
			"type" => "text",
		),
		"image6" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text6" => array(
			"title" => "内容6",
			"type" => "textarea",
		),
		"link6" => array(
			"title" => "リンク先6",
			"type" => "text",
		),
		"name6" => array(
			"title" => "投稿者6",
			"type" => "text",
		),
		"name_link6" => array(
			"title" => "投稿者リンク6",
			"type" => "text",
		),
		"badge6" => array(
			"title" => "バッジ6",
			"type" => "text",
		),
		"time6" => array(
			"title" => "時間6",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy7" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title7" => array(
			"title" => "タイトル7",
			"type" => "text",
		),
		"image7" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text7" => array(
			"title" => "内容7",
			"type" => "textarea",
		),
		"link7" => array(
			"title" => "リンク先7",
			"type" => "text",
		),
		"name7" => array(
			"title" => "投稿者7",
			"type" => "text",
		),
		"name_link7" => array(
			"title" => "投稿者リンク7",
			"type" => "text",
		),
		"badge7" => array(
			"title" => "バッジ7",
			"type" => "text",
		),
		"time7" => array(
			"title" => "時間7",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy8" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title8" => array(
			"title" => "タイトル8",
			"type" => "text",
		),
		"image8" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text8" => array(
			"title" => "内容8",
			"type" => "textarea",
		),
		"link8" => array(
			"title" => "リンク先8",
			"type" => "text",
		),
		"name8" => array(
			"title" => "投稿者8",
			"type" => "text",
		),
		"name_link8" => array(
			"title" => "投稿者リンク8",
			"type" => "text",
		),
		"badge8" => array(
			"title" => "バッジ8",
			"type" => "text",
		),
		"time8" => array(
			"title" => "時間8",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy9" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title9" => array(
			"title" => "タイトル9",
			"type" => "text",
		),
		"image9" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text9" => array(
			"title" => "内容9",
			"type" => "textarea",
		),
		"link9" => array(
			"title" => "リンク先9",
			"type" => "text",
		),
		"name9" => array(
			"title" => "投稿者9",
			"type" => "text",
		),
		"name_link9" => array(
			"title" => "投稿者リンク9",
			"type" => "text",
		),
		"badge9" => array(
			"title" => "バッジ9",
			"type" => "text",
		),
		"time9" => array(
			"title" => "時間9",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
		"dummy10" => array(
			"title" => " ",
			"type" => "comment",
		),
		"title10" => array(
			"title" => "タイトル10",
			"type" => "text",
		),
		"image10" => array(
			"title" => "画像１",
			"type" => "image",
		),
		"text10" => array(
			"title" => "内容10",
			"type" => "textarea",
		),
		"link10" => array(
			"title" => "リンク先10",
			"type" => "text",
		),
		"name10" => array(
			"title" => "投稿者10",
			"type" => "text",
		),
		"name_link10" => array(
			"title" => "投稿者リンク10",
			"type" => "text",
		),
		"badge10" => array(
			"title" => "バッジ10",
			"type" => "text",
		),
		"time10" => array(
			"title" => "時間10",
			"type" => "select",
			"list" => array(
				"" => "",
				"time5.png" => "5分",
				"time10.png" => "10分",
				"time15.png" => "15分",
				"time30.png" => "30分",
				"time60.png" => "60分",
			)
		),
	),
	"repeat" => array(
		"title", "image", "text", "link", "name", "name_link", "badge", "time",
	),
);

block_add($recipe1_grid);
